Risk Scenarios
Bulk remove custom asset mappings
Unlink custom assets, preserving other mappings. Unlinked or deleted assets are left unchanged. Repeated IDs within the request are deduplicated. Supply the risk scenario’s object ID.
DELETE
/
risk-scenarios
/
{riskScenarioId}
/
mappings
/
custom-assets
Bulk remove custom asset mappings
curl --request DELETE \
--url https://api.vanta.com/v1/risk-scenarios/{riskScenarioId}/mappings/custom-assets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customAssetIdsToUnlink": [
"<string>"
]
}
'import requests
url = "https://api.vanta.com/v1/risk-scenarios/{riskScenarioId}/mappings/custom-assets"
payload = { "customAssetIdsToUnlink": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({customAssetIdsToUnlink: ['<string>']})
};
fetch('https://api.vanta.com/v1/risk-scenarios/{riskScenarioId}/mappings/custom-assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vanta.com/v1/risk-scenarios/{riskScenarioId}/mappings/custom-assets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'customAssetIdsToUnlink' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.vanta.com/v1/risk-scenarios/{riskScenarioId}/mappings/custom-assets"
payload := strings.NewReader("{\n \"customAssetIdsToUnlink\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.vanta.com/v1/risk-scenarios/{riskScenarioId}/mappings/custom-assets")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"customAssetIdsToUnlink\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vanta.com/v1/risk-scenarios/{riskScenarioId}/mappings/custom-assets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"customAssetIdsToUnlink\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_bodyAuthorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Custom asset IDs to unlink. Repeated IDs in this request are deduplicated.
Maximum array length:
100Response
204
No content
Was this page helpful?
⌘I
Bulk remove custom asset mappings
curl --request DELETE \
--url https://api.vanta.com/v1/risk-scenarios/{riskScenarioId}/mappings/custom-assets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"customAssetIdsToUnlink": [
"<string>"
]
}
'import requests
url = "https://api.vanta.com/v1/risk-scenarios/{riskScenarioId}/mappings/custom-assets"
payload = { "customAssetIdsToUnlink": ["<string>"] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.delete(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'DELETE',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({customAssetIdsToUnlink: ['<string>']})
};
fetch('https://api.vanta.com/v1/risk-scenarios/{riskScenarioId}/mappings/custom-assets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.vanta.com/v1/risk-scenarios/{riskScenarioId}/mappings/custom-assets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "DELETE",
CURLOPT_POSTFIELDS => json_encode([
'customAssetIdsToUnlink' => [
'<string>'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.vanta.com/v1/risk-scenarios/{riskScenarioId}/mappings/custom-assets"
payload := strings.NewReader("{\n \"customAssetIdsToUnlink\": [\n \"<string>\"\n ]\n}")
req, _ := http.NewRequest("DELETE", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.delete("https://api.vanta.com/v1/risk-scenarios/{riskScenarioId}/mappings/custom-assets")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"customAssetIdsToUnlink\": [\n \"<string>\"\n ]\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.vanta.com/v1/risk-scenarios/{riskScenarioId}/mappings/custom-assets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Delete.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"customAssetIdsToUnlink\": [\n \"<string>\"\n ]\n}"
response = http.request(request)
puts response.read_body